from django.contrib import admin

from .models import Book, Author

# Register your models here.
@admin.register(Author)
class AuthorAdmin(admin.ModelAdmin):
    pass

@admin.register(Book)
class BookAdmin(admin.ModelAdmin):
    list_display = ('title', 'author')
    list_filter = ('author__name',)
    save_on_top = True
    fields = (('title', 'author'), 'annotation', 'text')
