import os

"""
Формат файла книги

Слово "Аннотация:" и текст аннотации
Пустые строки
Строка из знаков "-"
Пустые строки
Имя автора (начинается с пробела)
Пустые строки
Название книги (с пробела) (в названии может быть сноска в [])
Пустые строки
Текст книги (по 1 строке на абзац)
"""

def _skip_blank_lines(f):
    s = ""
    while len(s) == 0:
        s = f.readline().strip()
    return s

def _read_book_info(f):
    """Возвращает информацию о книге
       в виде кортежа (название, автор, аннотация)
       Параметры:
        f - открытый на чтение текстовый файл
    """
    # 1. Чтение аннотации
    annot = f.readline()
    annot = annot.strip()
    text_to_remove = "Аннотация:"
    if annot.startswith(text_to_remove):
        l = len(text_to_remove)
        annot = annot[l:]
    # 2. Пропускаем пустые строки и разделитель ------
    div = _skip_blank_lines(f)
    # 3. Пропускаем пустые строки до имени автора
    author_name = _skip_blank_lines(f)
    # 4. Пропускаем пустые строки до названия
    title = _skip_blank_lines(f)
    return (title, author_name, annot)

def book_info(book_file_name):
    """Читает информацию о книге, возвращает
       в виде (название, автор, аннотация)
       Параметры:
        book_file_name - имя файла книги
    """
    f = open(book_file_name, "r", encoding="utf-8")
    info = _read_book_info(f)
    return info

def books_list(dir_name):
    """Возвращает список книг в виде списка имён файлов"""
    files_list = os.scandir(dir_name)
    results = []
    for element in files_list:
        if element.is_file() and element.name.endswith(".txt"):
            results.append(element.name)
    return results

def book_text(book_file_name):
    """Возвращает текст книги в виде списка строк,
       без аннотации, названия и прочего.
    """
    f = open(book_file_name, "r", )
    _read_book_info(f)
    text = [line.rstrip() for line in f]
    return text
