from django.db import models

class Author(models.Model):
    name = models.CharField(max_length=250, unique=True)
    photo = models.ImageField(null=True)

    def __str__(self):
        return self.name

class Book(models.Model):
    title = models.CharField(max_length=250)
    annotation = models.TextField(blank=True, default="")
    text = models.TextField()
    author = models.ForeignKey(Author, related_name="books", on_delete=models.CASCADE)

    def __str__(self):
        return self.title
