from django.shortcuts import render, get_object_or_404
#from books.book_store import books_list, book_info, book_text
from django.conf import settings
from .models import Author, Book
from django.http import Http404
import os

# Create your views here.
def main_view(request):
    books = Book.objects.order_by("title")
    context = {
        "items": books,
    }
    return render(request, "main.html", context)

def book_view(request, book_id):
    book = get_object_or_404(Book, id=book_id)
    context = {
        "book_title": book.title,
        "book_annot": book.annotation,
        "book_text": book.text.split("/n"),
    }
    return render(request, "book.html", context)
