from django.shortcuts import render
from django.http import HttpResponseRedirect
from .models import Message
from .forms import MessageForm

# Create your views here.
def messages_view(request):
    """List of messages"""
    mess = Message.objects.order_by("-pub_date")
    context = {
        "messages": mess,
    }
    return render(request, "messages.html", context)


def new_message_view(request):
    """New message form"""
    if request.method == "POST":
        # Обработать форму
        form = MessageForm(request.POST)
        if form.is_valid(): # Если данные в порядке...
            author = form.cleaned_data["author"]
            subj = form.cleaned_data["subject"]
            text = form.cleaned_data["text"]
            mess = Message(author=author, subject=subj, text=text)
            mess.save()
            return HttpResponseRedirect("/gb/")
    else:
        # Создать пустую форму
        form = MessageForm()
    context = {
        "form": form,
    }
    return render(request, "new_message.html", context)
